# Data folders

Data are in ascii text format and are used to generate plots.

Unless otherwise specified, data file has first four columns to be
1. frustration strength \kappa
2. inverse temperature \beta J
3. external field h
4. system size, i.e., layer width L

## 2DXAT

Results of \perp-TM.
Used for plotting Figure 1, 3, 4.

Including Files:

### heatcap\_{kappa}\_{h}.dat 

Peak value of heat capacity vs temperature curve for ANNNI model of frustration strength kappa and external field h

Columns:
1. system size L
2. lowest temperature peak temperature T_1
3. peak value c(T_1)
4. second lowest temperature peak temperature T_2
5. peak value c(T_2)
6. third lowest temperature peak temperature T_3 (if exists)
7. peak value c(T_3)

### moments\_{kappa}\_{h}\_{L}.dat

Layer spin moments \<s^i\> 

Columns:

5-9. mean layer magnetization and its moments \<s\>, \<s^2\>, \<s^3\>, \<s^4\>

### physext\_{kappa}\_{h}\_{L}.dat

Number of domains on a layer

Columns:

5. mean number of domains on a layer <L_layer>
6. its second moments <L_layer^2>

### thermo\_{kappa}\_{h}\_{L}.dat

Thermodynamic quantities in the unit of per spin

Columns:

5. internal energy
6. heat capacity
7. free energy

## 2DYAT

Results of \parallel-TM.
Used for plotting Figure 2, 3, 4.

### clength\_{kappa}\_{h}\_{L}.dat

Correlation lengths $\xi_i = -1/log |\lambda_i / \lambda_0 |$ and angular argument of the subleading eigenvalues arg(lambda_i)

Columns:

5-8. correlation length. Negative sign if the eigenvalue \lambda_i is complex
9-12. angular argument of \lambda_i

### ylcrossing\_{kappa}\_{h}.dat

Crossing temperatures of Y_L: T_low, T_mid, T_high

Columns:

1. system size L
2. T_low
3. Y_L(T_low)
4. T_high
5. Y_L(T_high)
6. T_mid
7. Y_L(T_mid)

### ylextrapolate_{h}.dat

Extrapolation of Y_L into infinite system size. If such characteristic temperature does not exist, denoted as nan.

Columns:

1. system frustration strength \kappa
2. T_min
3. error bar of T_min
4. T_max
5. error bar of T_max
6. Y_L(T_min)
7. error bar of previous column
8. Y_L(T_max)
9. error bar of previous column

### ylextrema\_{kappa}\_{h}.dat

Local extrema of Y_L at temperature T_min (for local minima) and T_max (for local maxima).

Columns:

1. system size L
2. T_min
3. Y_L(T_min)
4. Y_max
5. Y_L(T_max)

### zlcrossing\_{kappa}\_{h}.dat

Crossing point of Z_L at T_Z

Columns:

1. system size L
2. T_Z
3. Z_L(T_Z)

## config_example

Equilibrium configuration examples.
Used for plotting Figure 3, 4.

### 2DXAM\_k{kappa}\_T{T}.dat

Spin configuration denoted by "0" and "1" for up and down spins. Next-nearest-neighbor interaction propagates along a row.


